<?php
/*
Plugin Name: Remove Broken Images
Plugin URI: https://room34.com
Description: Very simply, uses JavaScript to remove broken images from page display.
Version: 1.3.0
Author: Room 34 Creative Services, LLC
Author URI: http://room34.com
License: GPLv2
Text Domain: r34rbi
*/

/*  Copyright 2021 Room 34 Creative Services, LLC (email: info@room34.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


// Don't load directly
if (!defined('ABSPATH')) { exit; }


// Enqueue script
function r34rbi_enqueue_script() {
	wp_enqueue_script('r34rbi', plugin_dir_url(__FILE__) . 'assets/script.min.js', array('jquery'), '1.2.0', true);
}
add_action('init', 'r34rbi_enqueue_script');
